<html>
<head>
<title>Ogre::GLESCopyingRTTManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html">GLESCopyingRTTManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESCopyingRTTManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESCopyingRTTManager" --><!-- doxytag: inherits="Ogre::GLESRTTManager" -->
<p>Simple, copying manager/factory for RenderTextures.  
 <a href="classOgre_1_1GLESCopyingRTTManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESRenderTexture_8h_source.html">OgreGLESRenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESCopyingRTTManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESCopyingRTTManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESCopyingRTTManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESCopyingRTTManager_inherit__map" id="Ogre_1_1GLESCopyingRTTManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures." alt="" coords="44,83,212,112"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLESRTTManager \&gt;" alt="" coords="5,5,251,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESCopyingRTTManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a2b2813b090e8b018819fc9ae26c0505b">GLESCopyingRTTManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a3c8fb1a816001ab58a46fda8c5b66c31">~GLESCopyingRTTManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a1096e66a8e83f4aaac83bf1ad730fd2f">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#abaa89ebb935e22513e7220c2a5c72670">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a8e50f393f7cadd2fdc61d7489c59b79d">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a597bf0377e106ebe5384c051ceeb5036">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#a1c30ff0280997d6fe36ed30ff6dc8be6">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#addaee98053aef5233dc8b10c14a72ef7">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#addaee98053aef5233dc8b10c14a72ef7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a234ef8eb7ace1a68c881025fd3139a7e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Simple, copying manager/factory for RenderTextures. </p>
<p>This is only used as the last fallback if both PBuffers and FBOs aren't supported. </p>

<p>Definition at line <a class="el" href="OgreGLESRenderTexture_8h_source.html#l00117">117</a> of file <a class="el" href="OgreGLESRenderTexture_8h_source.html">OgreGLESRenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2b2813b090e8b018819fc9ae26c0505b"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::GLESCopyingRTTManager" ref="a2b2813b090e8b018819fc9ae26c0505b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a2b2813b090e8b018819fc9ae26c0505b">Ogre::GLESCopyingRTTManager::GLESCopyingRTTManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3c8fb1a816001ab58a46fda8c5b66c31"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::~GLESCopyingRTTManager" ref="a3c8fb1a816001ab58a46fda8c5b66c31" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a3c8fb1a816001ab58a46fda8c5b66c31">Ogre::GLESCopyingRTTManager::~GLESCopyingRTTManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a8e50f393f7cadd2fdc61d7489c59b79d"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::bind" ref="a8e50f393f7cadd2fdc61d7489c59b79d" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a8e50f393f7cadd2fdc61d7489c59b79d">Ogre::GLESCopyingRTTManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Bind a certain render target. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#aac332502cde16458d51d5aaa5fa7e9ec">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="abaa89ebb935e22513e7220c2a5c72670"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::checkFormat" ref="abaa89ebb935e22513e7220c2a5c72670" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#abaa89ebb935e22513e7220c2a5c72670">Ogre::GLESCopyingRTTManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Check if a certain format is usable as rendertexture format. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#ad1e4ea655b6ece60016e4ecf734e382a">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="addaee98053aef5233dc8b10c14a72ef7"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::createMultiRenderTarget" ref="addaee98053aef5233dc8b10c14a72ef7" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLESRTTManager.html#addaee98053aef5233dc8b10c14a72ef7">Ogre::GLESRTTManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLESFBOManager.html#a7833eba77b3f264121ae65ad556bb342">Ogre::GLESFBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="a1096e66a8e83f4aaac83bf1ad730fd2f"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::createRenderTexture" ref="a1096e66a8e83f4aaac83bf1ad730fd2f" args="(const String &amp;name, const GLESSurfaceDesc &amp;target, bool writeGamma, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a>* <a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a1096e66a8e83f4aaac83bf1ad730fd2f">Ogre::GLESCopyingRTTManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Create a texture rendertarget object. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#ae38db9c6a8b82ad253e738056122ff0b">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a1c30ff0280997d6fe36ed30ff6dc8be6"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::getBestDepthStencil" ref="a1c30ff0280997d6fe36ed30ff6dc8be6" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESRTTManager.html#a1c30ff0280997d6fe36ed30ff6dc8be6">Ogre::GLESRTTManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLESFBOManager.html#a086e0d6ede40f070f9d9aea7acca5334">Ogre::GLESFBOManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLESRenderTexture_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLESRenderTexture_8h_source.html">OgreGLESRenderTexture.h</a>.</p>

<p>References <a class="el" href="OgreGLESPrerequisites_8h_source.html#l00106">GL_NONE</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a234ef8eb7ace1a68c881025fd3139a7e"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::getSupportedAlternative" ref="a234ef8eb7ace1a68c881025fd3139a7e" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">Ogre::GLESRTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="a597bf0377e106ebe5384c051ceeb5036"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::unbind" ref="a597bf0377e106ebe5384c051ceeb5036" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESCopyingRTTManager.html#a597bf0377e106ebe5384c051ceeb5036">Ogre::GLESCopyingRTTManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Unbind a certain render target. </p>
<p>This is called before binding another <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#a8de06acbca5735034c65813ebb24891e">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLESCopyingRTTManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESRenderTexture_8h_source.html">OgreGLESRenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:26
</p>
</body>
</html>
